Aggiungere Repositories in Yast

30 risposte [Ultimo messaggio]
Ritratto di ap1978
ap1978
(Guru)
Offline
Guru
Iscritto: 01/10/2004
Messaggi: 2972

Quote:

AL9000 ha scritto:
Grazie! Ha funzionato...ora su zen ho disponibile anche la mia cartella come mezzo di installazione.
Ma mentre aggiungendo repositories da yast questi compaiono anche nell'elenco di zen, non succede il contrario...pazienza: mi abituerò ad usare zen(che tra l'altro sembra meno complicato di yast nell'installazione dei pacchetti...però, che ci vuoi fare, era la forza dell'abitudine).
Un'ultima cosa, + che altro una seccatura:si può disabilitare il controllo di yast sulla firma digitale dei repositories? Pur spuntando la casella "non visualizzare + questo messaggio", ogni volta che apro "gestione pacchetti" yast mi riavverte che Guru potrebbe non essere una fonte sicura(e naturalmente non voglio disabilitare questa fonte visto che è una delle maggiori).
Grazie

La mancata aggiunta di cataloghi dovrebbe essere un bug, e dovrebbe verificarsi solo con i repository di tipo YUM.

Per le firme, basta che installi i pacchetti che le contengono e il messaggio non comparirà più.

Ciao

ap Big Grin

Ritratto di AL9000
AL9000
(Guru)
Offline
Guru
Iscritto: 29/10/2005
Messaggi: 1277

Quote:

Per le firme, basta che installi i pacchetti che le contengono e il messaggio non comparirà più.

Non so cosa si intende per "installare i pacchetti che contengono le firme"....andando sul sito di Guru ho trovato questo:

Quote:

My RPM Signing Key

First of all, you'd most probably want to import the GPG key I use to sign my RPMs.

You can have RPM import it into its key database with the following command (as root):
rpm --import http://linux01.gwdg.de/~pbleser/guru-rpm.asc

Ho aperto una console e da root ho eseguito l'operazione descritta ma il problema persiste...comunque grazie lo stesso, alla fine non è un problema...solo una seccatura.

Chi è investito di un'autorità si trasformerà inevitabilmente, secondo una legge sociale immutabile, in un oppressore ed in uno sfruttatore della società. (M.A. Bakunin)

Ritratto di ap1978
ap1978
(Guru)
Offline
Guru
Iscritto: 01/10/2004
Messaggi: 2972

Quote:

Alfio ha scritto:
Quote:
max73 ha scritto:
Non capisco proprio perchè per attivare gli aggirnamenti automatici bisogna dare a Novell informazioni sul proprio hardware, Questa cosa prorprio non mi piace. Sad

Neanche me piace ma almeno è trasparente non come microsoft.
Poi se le informazioni aiutano a migliorare il supporto hardware alla fine meglio cosi.
IN fondo dobbiamo darlo un piccolo contributo se vogliamo le cose gratis.
Ciao

Le informazioni sono del tutto anonime.
In ogni caso hai sempre fornito informazioni sul tuo sistema, anche se forse meno direttamente, ogni volta che scaricavi aggiornamenti con SuSEWatcher.

Anche MS raccoglie le stesse informazioni in forma anonima.

Ciao

ap Big Grin

Ritratto di desaparesido
desaparesido
(Junior)
Offline
Junior
Iscritto: 20/05/2006
Messaggi: 6

Io ho fatto così:

Con zen in effetti la cosa risulta un pò macchinosa ma funziona tutto perfettamente )a parte una strana mistura tra italiano e inglese):

1) clik tasto destro icona zen in systray;
2) scegliere Configure;
3) scegliere Add Service;
4) scegliere Service Type = Autodetect;
5) aggiungere i Service URl assegnando ad ognuno il nome che più vi aggrada;

questi sono un pò lenti )quindi un pò di pazienza) ma funzionano bene e sembrano risolvere tutte le dipendenze:

http://download.opensuse.org/distribution/SL-OSS-current/non-oss-inst-source/suse/
http://download.opensuse.org/distribution/SL-OSS-current/inst-source/suse/
ftp://ftp.suse.com/pub/suse/i386/supplementary/KDE/update_for_10.1/yast-source/suse
http://ftp.gwdg.de/pub/linux/misc/suser-guru/rpm/10.1/RPMS/
http://packman.rsync.zmi.at/suse/10.1/

7) scegliere Catalogs : disativare SUSE 10.1 CD ... )tanto a questo punto non serve più) e attivare il resto
8) fatto, a questo punto dovrebbe già segnalarvi almeno una sessantina di update: prendete i panini e le birre e abbiate fede!

Ciao :)

Ritratto di Ulrich
Ulrich
(Geek)
Offline
Geek
Iscritto: 07/04/2006
Messaggi: 60

ciao! Ho provato ad aggiungere anche i rep di yast, ma non vanno...
cmq potreste pubblicare gli indirizzi dei rep per zen man mano che li trovate?

Ritratto di desaparesido
desaparesido
(Junior)
Offline
Junior
Iscritto: 20/05/2006
Messaggi: 6

Il fatto è che zen ha bisogno di un file indice che si trova nella directory "repodata" sul server.
Basta indicargli l'indirizzo completo di dove si trova questa directory e tutti i repo funzionano egregiamente.
Ad esempio:
http://download.opensuse.org/distribution/SL-OSS-current/non-oss-inst-source/suse/
e non:
http://download.opensuse.org/distribution/SL-OSS-current/non-oss-inst-source/

Ciao:)

Ritratto di leo72
leo72
(Guru)
Offline
Guru
Iscritto: 27/12/2004
Messaggi: 689

Scusate se mi intrometto e se riposto la stessa domanda pubblicata in altro 3d ma non ho avuto chiarimenti...

Dunque, se ho letto bene, posso usare sia Zen che YOU per aggiornare il software del mio sistema. Però questi 2 servizi lavorano in modo indipendente oppure no l'uno dall'altro?

Mi spiego.
Se inserisco per YOU una fonte di pacchetti e poi provvedo ad aggiornare qualcosa con questo strumento, Zen che sta lì beato nella sys-tray poi mi vede il software che è stato installato dal collega?

Insomma, posso usarli entrambi oppure mi devo limitare a fare una scelta definitiva, pensionando quello che non voglio?

Leo.
------------------
Scegli software open-source: il mio sistema Suse Linux esegue OpenOffice, Mozilla Firefox e Thunderbird, The Gimp...

Ritratto di ap1978
ap1978
(Guru)
Offline
Guru
Iscritto: 01/10/2004
Messaggi: 2972

Quote:

leo72 ha scritto:
Scusate se mi intrometto e se riposto la stessa domanda pubblicata in altro 3d ma non ho avuto chiarimenti...

Dunque, se ho letto bene, posso usare sia Zen che YOU per aggiornare il software del mio sistema. Però questi 2 servizi lavorano in modo indipendente oppure no l'uno dall'altro?

Mi spiego.
Se inserisco per YOU una fonte di pacchetti e poi provvedo ad aggiornare qualcosa con questo strumento, Zen che sta lì beato nella sys-tray poi mi vede il software che è stato installato dal collega?

Insomma, posso usarli entrambi oppure mi devo limitare a fare una scelta definitiva, pensionando quello che non voglio?

Si. Puoi usarli entrambi e vedono entrambi gli stessi repository e gli stessi pacchetti installati.
Attualmente c'è un bug che riguarda i repository YUM, i quali non sono gestiti in modo sincrono dai due package manager. Basta aggiungere i repository come ZYPP per ovviare.

Ciao

ap Big Grin

Ritratto di ap1978
ap1978
(Guru)
Offline
Guru
Iscritto: 01/10/2004
Messaggi: 2972

Quote:

ginoza ha scritto:
Finalmente!... Grazie, apt1978! ci voleva proprio una tua informazione così precisa: ho installato, come hai suggerito, Packman e Guru tramite Zen. Grazie di cuore... dopo tanti giorni di delusioni e dispiaceri, mi si è aperto un nuovo orrizzonte!
Una cosa, per favore, ci sono altri Repository, oltre packman e Guru, che potrei installare con questo sistema dello Zen?
Grazie.
Gino

Certo. Tutti i repository addizionali della 10.1 e le fonti ufficiali di installazione complete di SuSE 10.1, compresi i pacchetti non-OSS.

Trovi il tutto su www.opensuse.org nella solita pagina dedicata ai repository addizionali (cerca nel forum se non sai qual'è).

Ciao

ap Big Grin

Ritratto di ap1978
ap1978
(Guru)
Offline
Guru
Iscritto: 01/10/2004
Messaggi: 2972

Invito tutti a leggersi le istruzioni di rug e Zen. Zen ha pochissime funzioni ed è davvero semplice da usare, se solo si impara a farlo invece di buttarsi a capofitto.

Ho già detto che i repository non forniscono aggiornamenti di sicurezza ma software aggiuntivo, non garantito da SuSE. Quindi, non installate tutto quello che Zen vi segnala come aggiornamento quando sono attivi i cataloghi dei repository, e tenete disattivati i repository addizionali, lasciando solo le patch e le fonti di installazione originali nell'uso quotidiano.

Se non fate così rischiate a breve di avere un bel sistema instabile ed inutilizzabile.
Prometto di non rispondere a domande relative a problemi che derivano da un uso sbagliato dei repository addizionali, che, continuo a dire, vanno usati con le molle. :hammer:

Ciao

ap Big Grin